## org.apache.commons.math3.analysis.polynomials
Class PolynomialsUtils.JacobiKey

    java.lang.Object
      org.apache.commons.math3.analysis.polynomials.PolynomialsUtils.JacobiKey

Enclosing class:
  PolynomialsUtils

    private static class PolynomialsUtils.JacobiKey

extends java.lang.Object

Inner class for Jacobi polynomials keys.

Field Summary
`private int` `v` First exponent.
`private int` `w` Second exponent.

Constructor Summary
`PolynomialsUtils.JacobiKey(int v, int w)` Simple constructor.

Method Summary
`boolean` `equals(java.lang.Object key)` Check if the instance represent the same key as another instance.
`int` `hashCode()` Get hash code.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v

    private final int v

  First exponent.

### w

    private final int w

  Second exponent.

Constructor Detail

### PolynomialsUtils.JacobiKey

    public PolynomialsUtils.JacobiKey(int v,
                                      int w)

  Simple constructor.

  Parameters:
    `v` - first exponent
    `w` - second exponent

Method Detail

### hashCode

    public int hashCode()

  Get hash code.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    hash code

### equals

    public boolean equals(java.lang.Object key)

  Check if the instance represent the same key as another instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `key` - other key
  Returns:
    true if the instance and the other key refer to the same polynomial

Copyright (c) 2003-2013 Apache Software Foundation